Debian Bug report logs - #614435
rquantlib: FTBFS: bermudan.cpp:95: error: conversion from 'Rcpp::internal::generic_proxy<19>' to 'double' is ambiguous

version graph

Package: src:rquantlib; Maintainer for src:rquantlib is Dirk Eddelbuettel <edd@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 21 Feb 2011 22:39:15 UTC

Severity: serious

Tags: sid, wheezy

Found in version rquantlib/0.3.5-1

Fixed in version rquantlib/0.3.6-1

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#614435; Package src:rquantlib. (Mon, 21 Feb 2011 22:39:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Mon, 21 Feb 2011 22:39:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: rquantlib: FTBFS: bermudan.cpp:95: error: conversion from 'Rcpp::internal::generic_proxy<19>' to 'double' is ambiguous
Date: Mon, 21 Feb 2011 23:33:16 +0100
Source: rquantlib
Version: 0.3.5-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110221 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++ -I/usr/share/R/include   -I"/usr/lib/R/site-library/Rcpp/include"  -O3 -pipe -g  -I/usr/include -I. -fpic  -g0 -c bermudan.cpp -o bermudan.o
> bermudan.cpp: In function 'SEXPREC* BermudanSwaption(SEXPREC*, SEXPREC*, SEXPREC*, SEXPREC*, SEXPREC*)':
> bermudan.cpp:95: error: conversion from 'Rcpp::internal::generic_proxy<19>' to 'double' is ambiguous
> /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:270: note: candidates are: Rcpp::internal::generic_proxy<RTYPE>::operator int() const [with int RTYPE = 19]
> /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:269: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator bool() const [with int RTYPE = 19]
> /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:264: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator U() const [with U = double, int RTYPE = 19]
> bermudan.cpp:107: error: conversion from 'Rcpp::internal::generic_proxy<19>' to 'double' is ambiguous
> /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:270: note: candidates are: Rcpp::internal::generic_proxy<RTYPE>::operator int() const [with int RTYPE = 19]
> /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:269: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator bool() const [with int RTYPE = 19]
> /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:264: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator U() const [with U = double, int RTYPE = 19]
> make[1]: *** [bermudan.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/02/21/rquantlib_0.3.5-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Removed tag(s) squeeze. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:12:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:12:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#614435; Package src:rquantlib. (Tue, 22 Feb 2011 16:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Tue, 22 Feb 2011 16:15:07 GMT) Full text and rfc822 format available.

Message #14 received at 614435@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 614435@bugs.debian.org
Subject: Re: Bug#614435: rquantlib: FTBFS: bermudan.cpp:95: error: conversion from 'Rcpp::internal::generic_proxy<19>' to 'double' is ambiguous
Date: Tue, 22 Feb 2011 10:13:34 -0600
Hi Lucas,

On 21 February 2011 at 23:33, Lucas Nussbaum wrote:
| Source: rquantlib
| Version: 0.3.5-1
| Severity: serious
| Tags: squeeze sid
| User: debian-qa@lists.debian.org
| Usertags: qa-ftbfs-20110221 qa-ftbfs
| Justification: FTBFS on amd64
| 
| Hi,
| 
| During a rebuild of all packages in sid, your package failed to build on
| amd64.
| 
| Relevant part:
| > g++ -I/usr/share/R/include   -I"/usr/lib/R/site-library/Rcpp/include"  -O3 -pipe -g  -I/usr/include -I. -fpic  -g0 -c bermudan.cpp -o bermudan.o
| > bermudan.cpp: In function 'SEXPREC* BermudanSwaption(SEXPREC*, SEXPREC*, SEXPREC*, SEXPREC*, SEXPREC*)':
| > bermudan.cpp:95: error: conversion from 'Rcpp::internal::generic_proxy<19>' to 'double' is ambiguous
| > /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:270: note: candidates are: Rcpp::internal::generic_proxy<RTYPE>::operator int() const [with int RTYPE = 19]
| > /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:269: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator bool() const [with int RTYPE = 19]
| > /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:264: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator U() const [with U = double, int RTYPE = 19]
| > bermudan.cpp:107: error: conversion from 'Rcpp::internal::generic_proxy<19>' to 'double' is ambiguous
| > /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:270: note: candidates are: Rcpp::internal::generic_proxy<RTYPE>::operator int() const [with int RTYPE = 19]
| > /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:269: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator bool() const [with int RTYPE = 19]
| > /usr/lib/R/site-library/Rcpp/include/Rcpp/vector/string_proxy.h:264: note:                 Rcpp::internal::generic_proxy<RTYPE>::operator U() const [with U = double, int RTYPE = 19]
| > make[1]: *** [bermudan.o] Error 1

Thank you. I need to add two explicit casts each in two files. That was the
easy part.

Unfortunately CRAN (running testing) has an issue with pdf rendering of the
manual (which I don't have on my main Ubuntu 10.10 box) so we are on hold for
a bit.  If that continues I will not make a new upstream but for once just
issue a Debian patch release 0.3.5-2.

Dirk
 
| The full build log is available from:
|    http://people.debian.org/~lucas/logs/2011/02/21/rquantlib_0.3.5-1_lsid64.buildlog
| 
| A list of current common problems and possible solutions is available at 
| http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
| 
| About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
| of the Grid'5000 platform, using a clean chroot.  Internet was not
| accessible from the build systems.
| 
| -- 
| | Lucas Nussbaum
| | lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| | jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
| 
| 

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com




Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. (Wed, 23 Feb 2011 18:09:11 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 23 Feb 2011 18:09:12 GMT) Full text and rfc822 format available.

Message #19 received at 614435-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 614435-close@bugs.debian.org
Subject: Bug#614435: fixed in rquantlib 0.3.6-1
Date: Wed, 23 Feb 2011 18:04:15 +0000
Source: rquantlib
Source-Version: 0.3.6-1

We believe that the bug you reported is fixed in the latest version of
rquantlib, which is due to be installed in the Debian FTP archive:

r-cran-rquantlib_0.3.6-1_i386.deb
  to main/r/rquantlib/r-cran-rquantlib_0.3.6-1_i386.deb
rquantlib_0.3.6-1.diff.gz
  to main/r/rquantlib/rquantlib_0.3.6-1.diff.gz
rquantlib_0.3.6-1.dsc
  to main/r/rquantlib/rquantlib_0.3.6-1.dsc
rquantlib_0.3.6.orig.tar.gz
  to main/r/rquantlib/rquantlib_0.3.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614435@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated rquantlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 Feb 2011 11:43:31 -0600
Source: rquantlib
Binary: r-cran-rquantlib
Architecture: source i386
Version: 0.3.6-1
Distribution: unstable
Urgency: low
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 r-cran-rquantlib - GNU R package interfacing the QuantLib finance library
Closes: 614435
Changes: 
 rquantlib (0.3.6-1) unstable; urgency=low
 .
   * New upstream release
   * Added two casts to two files to fix FTBFS 		(Closes: #614435)
 .
   * debian/control: Set (Build-)Depends: to current R version
Checksums-Sha1: 
 fea6364a8bc4e182c3f4727039fe3ddd5f1196a0 1102 rquantlib_0.3.6-1.dsc
 60a85773d586c74548894c1888cdca60289a50ed 109200 rquantlib_0.3.6.orig.tar.gz
 d075277f7133d7c36bf6f46f9ac5c2be2f5373ea 5396 rquantlib_0.3.6-1.diff.gz
 16bf87436c4985fd91a1179ff69c6ae38accd57e 824838 r-cran-rquantlib_0.3.6-1_i386.deb
Checksums-Sha256: 
 76c975b2916568a064377ca80c0196116d0b66fc93048921402d75a3a9d86266 1102 rquantlib_0.3.6-1.dsc
 dd1b44b087f27465014b4a199e3a9dd46f33122f2a4e175d312c5f5c4d76afd2 109200 rquantlib_0.3.6.orig.tar.gz
 bd70337ea7da7673013d37a36ebde4cd040f00f36230ff4b4f3db5bb54ad1c92 5396 rquantlib_0.3.6-1.diff.gz
 1f749ebb2ad85d703a5c19515104ee55e180a8819e6a809e78f16d313391cfee 824838 r-cran-rquantlib_0.3.6-1_i386.deb
Files: 
 e322206eceb90641819615fd6f520cd8 1102 gnu-r optional rquantlib_0.3.6-1.dsc
 fbc3fe53ef86e6ac803e2bfb2f04f9ee 109200 gnu-r optional rquantlib_0.3.6.orig.tar.gz
 b7bf91323970340ae0dac1eff3e494fd 5396 gnu-r optional rquantlib_0.3.6-1.diff.gz
 76d7491f1f84ee996cdcfb399eab7831 824838 gnu-r optional r-cran-rquantlib_0.3.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNZUhvCZSR95Gw07cRArBXAJ9Gtd0BWBk1/1AmrvNTeQ3Burj/9gCdFjMm
ZiwOioohcFM4EHZ7UJowW+s=
=PSom
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Mar 2011 07:36:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:23:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.